Skip to main content
PUT
/
datasets
/
{dataset_id}
Update dataset
curl --request PUT \
  --url https://api.trymaitai.ai/api/v1/datasets/{dataset_id} \
  --header 'Content-Type: application/json' \
  --header 'X-Maitai-Api-Key: <api-key>' \
  --data '
{
  "name": "Training Set Q1 (updated)",
  "description": "Expanded dataset"
}
'
{
  "data": {
    "id": 20,
    "name": "Training Set Q1 (updated)",
    "description": "Expanded dataset"
  }
}

Authorizations

X-Maitai-Api-Key
string
header
required

Your Maitai API key from the Portal.

Path Parameters

dataset_id
integer
required

Body

application/json
name
string
description
string
sample_type
string
sample_percentage
integer

Response

200 - application/json

Update dataset.

data
object

A curated set of request/response pairs used for model training (finetuning).